# Created by pyp2rpm-1.0.1
%global pypi_name future
%global with_python3 1
%define version 0.15.2

Name:           python-future
Version:        %{version}
Release:        %mkrel 1
Group:          Development/Python
Summary:        Clean single-source support for Python 3 and 2

License:        MIT
Source0:        https://pypi.python.org/packages/source/f/future/future-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-devel
BuildRequires:  python-sphinx
BuildRequires:  python-setuptools
 
%if %{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-sphinx
BuildRequires:  python3-setuptools
%endif # if with_python3


%description
Easy, safe support for Python 3/2 compatibility

%if 0%{?with_python3}
%package -n     python3-%{pypi_name}
Summary:        Clean single-source support for Python 3 and 2

%description -n python3-%{pypi_name}
Easy, safe support for Python 3/2 compatibility
%endif # with_python3


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# generate html docs 
#sphinx-build docs html
# remove the sphinx-build leftovers
#rm -rf html/.{doctrees,buildinfo}

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
# generate html docs 
#python3-sphinx-build docs html
# remove the sphinx-build leftovers
#rm -rf html/.{doctrees,buildinfo}

%endif # with_python3


%build
# Do the build in the install stage.
# The build system wipes the build directory at the start of the 
# build


%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --root %{buildroot}
mv %{buildroot}%{_bindir}/futurize %{buildroot}/%{_bindir}/python3-futurize
mv %{buildroot}%{_bindir}/pasteurize %{buildroot}/%{_bindir}/python3-pasteurize
popd
%endif # with_python3

%{__python} setup.py install --root %{buildroot}


%files
%doc README.rst docs/_themes/LICENSE LICENSE.txt
%{_bindir}/futurize
%{_bindir}/pasteurize
%{python_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{python_sitelib}/%{pypi_name}
%{python_sitelib}/past
%{python_sitelib}/libfuturize
%{python_sitelib}/libpasteurize
%{python_sitelib}/builtins
%{python_sitelib}/configparser
%{python_sitelib}/copyreg
%{python_sitelib}/html
%{python_sitelib}/http
%{python_sitelib}/queue
%{python_sitelib}/reprlib
%{python_sitelib}/socketserver
%{python_sitelib}/tkinter
%{python_sitelib}/_dummy_thread
%{python_sitelib}/_markupbase
%{python_sitelib}/_thread
%{python_sitelib}/winreg
%{python_sitelib}/xmlrpc

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%{_bindir}/python3-futurize
%{_bindir}/python3-pasteurize
%doc README.rst docs/_themes/LICENSE LICENSE.txt
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/past
%{python3_sitelib}/libfuturize
%{python3_sitelib}/libpasteurize

%endif # with_python3



%changelog
* Wed Mar 16 2016 tv <tv> 0.15.2-1.mga6
+ Revision: 992206
- new release

* Fri Feb 19 2016 umeabot <umeabot> 0.14.1-4.mga6
+ Revision: 970684
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 tv <tv> 0.14.1-3.mga6
+ Revision: 887504
- rebuild for python 3.5

* Wed Nov 05 2014 joequant <joequant> 0.14.1-2.mga5
+ Revision: 795826
- fix library creation

* Wed Nov 05 2014 joequant <joequant> 0.14.1-1.mga5
+ Revision: 795808
- use setuptools
- imported package python-future

